## jargoninformatique 1.3.4

=== misc/Makefile ===
# Avant d'exécuter Make il vous faut:
#  sous linux tapez:         ./configure.sh
#  sous windows+mingw tapez: configure.bat

# lis la configuration
OLD_PREFIX:=$(PREFIX)

include config.mak

ifneq ($(OLD_PREFIX),)
ifneq ($(OLD_PREFIX),$(PREFIX))
	PREFIX:=$(OLD_PREFIX)
endif
endif

ifeq ($(SYSTEM),mingw)
RES=$(OBJ_DIR)/xjargon.res
endif

RM = rm -f
CP = cp

SRC_DIR=src

# vpath
vpath %.cpp $(SRC_DIR)
vpath %.c $(SRC_DIR)
vpath %.o $(OBJ_DIR)

# les fichiers objet
OBJS = Fl_Nice.o spath.o main_widget.o gstr.o jargon_lib.o main.o

all: $(EXE) 

%.o : %.cpp src/config.h
	$(CPP) -c $< $(CFLAGS) -o $(OBJ_DIR)/$@

%.o : %.c
	$(CC) -c $< $(CFLAGS) -o $(OBJ_DIR)/$@

$(EXE) : $(OBJS) $(RES)
	$(CPP) $(addprefix $(OBJ_DIR)/, $(OBJS)) $(RES) -o $(EXE) $(LIBS)

clean :
	$(RM) $(addprefix $(OBJ_DIR)/, $(OBJS)) 
	$(RM) $(EXE)

ifeq ($(SYSTEM),darwin)
install:
	tar xfz misc/mac-bundle.tar.gz
	cp -r dict jargoninformatique.app/Contents/MacOS
	$(CP) $(EXE) jargoninformatique.app/Contents/MacOS
endif

ifeq ($(SYSTEM),linux)
distclean: clean
	$(RM) Makefile configure-last config.mak

install :
	mkdir -p $(PREFIX)/bin
	$(CP) $(EXE) $(PREFIX)/bin
	mkdir -p $(PREFIX)/share/jargoninformatique/dict
	$(CP) dict/jargon.dic dict/fig dict/deco dict/general $(PREFIX)/share/jargoninformatique/dict -R
	mkdir -p $(PREFIX)/share/jargoninformatique/misc
	cp misc/logo.png $(PREFIX)/share/jargoninformatique/misc
	mkdir -p $(PREFIX)/share/applications
	cp misc/jargoninformatique.desktop $(PREFIX)/share/applications
	mkdir -p $(PREFIX)/share/pixmaps
	cp misc/icon.png $(PREFIX)/share/pixmaps/jargoninformatique.png
	chmod 755 $(PREFIX)/share/jargoninformatique $(PREFIX)/share/pixmaps/jargoninformatique.png $(PREFIX)/share/applications/jargoninformatique.desktop -R
#manpage
	mkdir -p $(PREFIX)/share/man/man1
	mkdir -p $(PREFIX)/share/man/fr/man1
	$(CP) misc/jargoninformatique.1.gz $(PREFIX)/share/man/man1
	$(CP) misc/jargoninformatique.fr.1.gz $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz
	chmod 644 $(PREFIX)/share/man/man1/jargoninformatique.1.gz $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz

uninstall :
	$(RM) $(PREFIX)/bin/$(EXE)
	$(RM) $(PREFIX)/share/jargoninformatique -fr
	$(RM) $(PREFIX)/share/applications/jargoninformatique.desktop
	$(RM) $(PREFIX)/share/pixmaps/jargoninformatique.png
	$(RM) $(PREFIX)/share/man/man1/jargoninformatique.1.gz
	$(RM) $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz
endif


ifeq ($(SYSTEM),mingw)
$(OBJ_DIR)/xjargon.res : $(SRC_DIR)/xjargon.rc
	windres -i $(SRC_DIR)/xjargon.rc -I rc -o $(OBJ_DIR)/xjargon.res -O coff
endif
