## jargoninformatique 1.3.6

=== Makefile ===
# makefile d'aide
all: first
first:
	@echo Avant de faire make il faut lancer ./configure ou fixmingw.bat
clean:
	@echo Clean ok.
