=== misc/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 vpath %.o $(OBJ_DIR)
 
 # les fichiers objet
-OBJS = Fl_Nice.o spath.o main_widget.o gstr.o jargon_lib.o main.o
+OBJS = flnice.o spath.o main_widget.o gstr.o jargon_lib.o main.o
 
 all: $(EXE) 
 
@@ -54,26 +54,24 @@
 
 ifeq ($(SYSTEM),linux)
 distclean: clean
-	$(RM) Makefile configure-last config.mak
+	$(RM) Makefile configure-last config.mak 
 
 install :
-	mkdir -p $(PREFIX)/bin
-	$(CP) $(EXE) $(PREFIX)/bin
-	mkdir -p $(PREFIX)/share/jargoninformatique/dict
-	$(CP) dict/jargon.dic dict/fig dict/deco dict/general $(PREFIX)/share/jargoninformatique/dict -R
-	mkdir -p $(PREFIX)/share/jargoninformatique/misc
-	cp misc/logo.png $(PREFIX)/share/jargoninformatique/misc
-	mkdir -p $(PREFIX)/share/applications
-	cp misc/jargoninformatique.desktop $(PREFIX)/share/applications
-	mkdir -p $(PREFIX)/share/pixmaps
-	cp misc/icon.png $(PREFIX)/share/pixmaps/jargoninformatique.png
-	chmod 755 $(PREFIX)/share/jargoninformatique $(PREFIX)/share/pixmaps/jargoninformatique.png $(PREFIX)/share/applications/jargoninformatique.desktop -R
-#manpage
-	mkdir -p $(PREFIX)/share/man/man1
-	mkdir -p $(PREFIX)/share/man/fr/man1
-	$(CP) misc/jargoninformatique.1.gz $(PREFIX)/share/man/man1
-	$(CP) misc/jargoninformatique.fr.1.gz $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz
-	chmod 644 $(PREFIX)/share/man/man1/jargoninformatique.1.gz $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz
+	install -d $(PREFIX)/bin
+	install -s -m 755 $(EXE) $(PREFIX)/bin
+	install -d $(PREFIX)/share/jargoninformatique/dict/fig $(PREFIX)/share/jargoninformatique/dict/deco $(PREFIX)/share/jargoninformatique/dict/general
+	install -m 644 dict/jargon.dic $(PREFIX)/share/jargoninformatique/dict 
+	install -m 644 dict/fig/* $(PREFIX)/share/jargoninformatique/dict/fig
+	install -m 644 dict/deco/* $(PREFIX)/share/jargoninformatique/dict/deco
+	install -m 644 dict/general/* $(PREFIX)/share/jargoninformatique/dict/general
+	install -d $(PREFIX)/share/jargoninformatique/misc
+	install -m 644 misc/logo.png $(PREFIX)/share/jargoninformatique/misc
+	install -d $(PREFIX)/share/applications $(PREFIX)/share/pixmaps
+	install -m 644 misc/jargoninformatique.desktop $(PREFIX)/share/applications
+	install -m 644 misc/icon.png $(PREFIX)/share/pixmaps/jargoninformatique.png
+	install -d $(PREFIX)/share/man/man1 $(PREFIX)/share/man/fr/man1
+	install -m 644 misc/jargoninformatique.1.gz $(PREFIX)/share/man/man1
+	install -m 644 misc/jargoninformatique.fr.1.gz $(PREFIX)/share/man/fr/man1/jargoninformatique.1.gz
 
 uninstall :
 	$(RM) $(PREFIX)/bin/$(EXE)
