=== debian/changelog ===
jargoninformatique (1.3.6-0ubuntu9) jammy; urgency=medium

  * Move away from dpatch
  * Convert to modern debhelper 13.
  * Update to fltk1.3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Mar 2022 20:41:53 +0100

jargoninformatique (1.3.6-0ubuntu8) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:31 +0100

jargoninformatique (1.3.6-0ubuntu7) bionic; urgency=medium

  * Add build-indep and build-arch rules to fix FTBFS

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 25 Apr 2018 20:52:42 +0200

jargoninformatique (1.3.6-0ubuntu6) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:29:55 +0000

jargoninformatique (1.3.6-0ubuntu5) raring; urgency=low

  * Added missing X11 lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 03 Apr 2013 16:10:16 -0400

jargoninformatique (1.3.6-0ubuntu4) precise; urgency=low

  * debian/patches/fix-ftbfs-armhf-format-security.dpatch:
    Fix FTBFS on armhf (LP: #903112).

 -- Simon Olofsson <simon@olofsson.de>  Mon, 12 Dec 2011 12:11:43 +0100

jargoninformatique (1.3.6-0ubuntu3) karmic; urgency=low

  *  debian/patches/fix-ftbfs-gcc44-eglibc210.dpatch:
     Fix FTBFS with GCC 4.4 and eglibc 2.10 (LP: #461234).

 -- Simon Olofsson <simon@olofsson.de>  Mon, 26 Oct 2009 17:49:29 +0100

jargoninformatique (1.3.6-0ubuntu2) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Aug 2007 08:06:01 +0000

jargoninformatique (1.3.6-0ubuntu1) edgy; urgency=low

  * New upstream release
  * Remove 01_Makefile.dpatch, fixed upstream
  * Bump standards version to 3.7.2
  * Set debhelper version to >= 5.0.0
  * Build-Deps: add libxpm-dev

 -- Gauvain Pocentek <gauvainpocentek@ubuntu.com>  Thu,  6 Jul 2006 08:30:02 +0200

jargoninformatique (1.3.4-0ubuntu1) dapper; urgency=low

  * Initial release
  * 01_Makefile.dpatch: change datas permissions

 -- Gauvain Pocentek <gauvainpocentek@yahoo.fr>  Sun, 11 Dec 2005 16:42:37 +0100
