=== debian/control ===
Source: jargoninformatique
Section: doc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gauvain Pocentek <gauvainpocentek@yahoo.fr>
Build-Depends: debhelper-compat (= 13), libfltk1.3-dev, libxpm-dev
Standards-Version: 4.6.0

Package: jargoninformatique
Architecture: any
Depends: ${shlibs:Depends}, jargoninformatique-data
Description: French dictionary of computer vocabulary
 Front End for the French computing dictionary Jargon Informatique.
 .
 This computing dictionary contains more than 10 000 words!
 Its user-friendly interface lets you easily find the words
 you want.
 .
 Homepage: http://jargon.tuxfamily.org

Package: jargoninformatique-data
Architecture: all
Description: Data files for jargoninformatique
 This package contains the dictionary for Jargon Informatique, and 
 its GUI graphic elements.
 .
 Homepage: http://jargon.tuxfamily.org
